32 votos

Debo instalar Windows Management Framework 3.0?

Voy a postear esto como una GRAN ADVERTENCIA para todo el mundo. Sé que no es un estándar de Q&A, pero creo que esto es algo que todos los administradores de Windows debe saber. Hay un riesgo muy real de caer en Grandes Problemas.

Microsoft ha lanzado recientemente el Windows Management Framework 3.0 para Windows Server 2008 y Windows Server 2008 R2, que incluye algunas cosas buenas nativas de Windows Server 2012 (como PowerShell 3.0) y un montón de mejoras a WMI, WinRM y otras tecnologías de gestión.

Windows Update es la publicidad como una actualización opcional.

Debo instalar en mi servidor?


Actualización: Microsoft ha retirado la actualización desde Windows update después de que los principales problemas de compatibilidad con diversos productos (incluyendo a los que están siendo discutidos aquí) han sido reportados por varios usuarios.

29voto

yulia Puntos 16

Respuesta corta: NO, a menos que realmente lo necesitan y que realmente sepa lo que está haciendo.

WMF 3.0 se sabe que no es compatible con Exchange Server (2007 y 2010), al menos hasta nuevo lanzamiento de las actualizaciones para estos productos; también, aunque todavía no se ha documentado oficialmente, se ha encontrado para causar estragos en SharePoint 2010, y para romper Small Business Server 2008/2011.

También he experimentado personalmente completamente y destruyendo en System Center Configuration Manager 2012, y romper tanto la configuración y el Administrador de Configuración de SQL Server 2008 R2, el cual, después de su instalación, comenzado a fallar, con fuertes quejas sobre el servicio WMI no está disponible (aunque en realidad estaba funcionando bien).

Por último, pero no menos importante, una vez WMF 3.0 está instalado, puede ser muy difícil de quitar, porque su uninstaller tiene una oportunidad real de fracasar, dejando a sus servidores en un estado incoherente que normalmente requiere un completo O. S. vuelva a poner en marcha de nuevo.

Ser muy, muy, muy cuidadoso con esta actualización.


Actualización: además de los problemas de compatibilidad conocido con varios programas, se ve como la instalación de WMF 3.0 puede (a veces? a menudo? siempre?) destruir por completo a WMI. Bueno, esto explica por qué nada parece funcionar después de la instalación...

10voto

Tina Puntos 21

No, acabo de bits por este durante el fin de semana en el centro de actualizaciones de Exchange 2010.

El uso de los consejos en este blog, he desinstalado el paquete con el fin de traer a mi entorno de Exchange en línea.

Parece bastante claro que esta no es realmente una actualización para la mayoría de los entornos.

6voto

Todd Puntos 2342

Yo la he instalado en decenas de servidores y nunca tuve un problema con él. Pero ninguno de ellos había Exchange, Sharepoint, SBS o SCCM.

La mayoría de IIS y SQL. Yo uso un montón de PowerShell y el amor a la Versión 3. Yo no creo que hay una manera de conseguir PowerShell 3 sin Windows Management Framework 3.0.

Así que supongo que depende de lo que el mundo está en sus servidores.

4voto

MDMarra Puntos 81543

Hay un apoyo oficial para la declaración de este:

Sistema Operativo compatible Windows 7 Service Pack 1 De Windows Server 2008 R2 SP1, Windows Server 2008 Service Pack 2

IMPORTANTE: Windows Management Framework 3.0 no es actualmente compatible con las siguientes aplicaciones:

  • System Center 2012 Configuration Manager. Para obtener más información, consulte KB 2796086.

  • System Center Virtual Machine Manager. Para obtener más información, consulte KB 2795043

  • Microsoft Exchange Server 2007 y Microsoft Exchange Server 2010. Para obtener más información, consulte Windows Management Framework 3.0 en el Intercambio 2007 y Exchange 2010.

  • Microsoft SharePoint 2010. Para obtener más información, consulte Windows PowerShell 3.0 y SharePoint 2010.

  • Windows Small Business Server 2008 y Windows Small Business Servidor de 2011. Para obtener más información, consulte Windows Management Framework 3.0 aplicabilidad en Windows Small Business Server 2008/2011 Estándar.

Esta declaración es la derecha en la página de descarga bajo el Sistema de los Requisitos de la sección aquí: http://www.microsoft.com/en-us/download/details.aspx?id=34595


En resumen, sí instalarlo en todas partes, excepto donde no se admite si usted se beneficiará de ello.

0voto

Simon Catlin Puntos 4026

No. Principios básicos ... si no absolutamente necesario ... no lo instale. WMF es un prereq de algunos instala, por ejemplo: PowerShell 2/3 de la comunicación remota. Menos instala, menos puertos abiertos, menor superficie de ataque y menos cosas para revisión.

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: